# The ImagickKernel class

(PECL imagick >= 3.3.0)

## Introduction

## Class synopsis

ImagickKernel {
/* Methods */
public addKernel ( ImagickKernel `$ImagickKernel` ) : void
public addUnityKernel ( float `$scale` ) : void
public static fromBuiltin ( int `$kernelType` , string `$kernelString` ) : ImagickKernel
public static fromMatrix ( array `$matrix` [, array `$origin` ] ) : ImagickKernel
public getMatrix ( void ) : array
public scale ( float `$scale` [, int `$normalizeFlag` ] ) : void
public separate ( void ) : array
}

## Table of Contents

- ImagickKernel::addKernel — Description
- ImagickKernel::addUnityKernel — Description
- ImagickKernel::fromBuiltIn — Description
- ImagickKernel::fromMatrix — Description
- ImagickKernel::getMatrix — Description
- ImagickKernel::scale — Description
- ImagickKernel::separate — Description